#ifndef __AFGUI_SLIDER_HEADER
#define __AFGUI_SLIDER_HEADER





#include <flare_gui/flare_gui.h>






class FGUIVerticalSlider : public FGUIWidget
{
protected:
	float val;
	float mouse_y;
	placement2d &place;
	int notches;

public:
	FGUIVerticalSlider(FGUIParent *parent, float x, float y, float w, float h);

	void set_notches(int notches);
	void on_draw();
	void set_val_by_y(float y);
	void set_val(float val);
	float get_val();
	float get_val(float min, float max);
	void on_mouse_move(float x, float y, float dx, float dy);
	void on_mouse_down();
	void on_drag(float x, float y, float dx, float dy);
	void on_key_char();

	virtual void on_change();
};









#endif